#!/bin/bash
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
# ==DIS/AUTOEXEC==
# === 📦 Repack rpi_seal_full_installer.sh ===
# 12_repack_rpi.sh
# Архивирует rpi_seal_full_installer.sh из текущего каталога
#

echo "Упаковка в архив установщика"
echo "───────────────────────────────"

set -e

DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
SRC="$DIR/rpi_seal_full_installer.sh"
DST="$DIR/rpi_seal_full_installer.tar.gz"

if [[ ! -f "$SRC" ]]; then
  echo "❌ Файл не найден: $SRC"
  exit 1
fi

echo "[*] Архивирую $SRC → $DST..."
tar -czf "$DST" -C "$(dirname "$SRC")" "$(basename "$SRC")"

if ! tar -tzf "$DST" &>/dev/null; then
  echo "❌ Ошибка в архиве. Возможно, повреждён."
  rm -f "$DST"
  exit 1
fi

echo "✅ Архив создан: $DST"
#echo "[*] SHA256: $(sha256sum "$DST" | awk '{print $1}')"
