#!/bin/bash
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
# ==DIS/AUTOEXEC==
# ===📦 Repack pishrink limited ===
# 13_repack_pishrink_limited.sh
# Архивирует pishrink_limited.sh из каталога ~/rpi_seal
#

echo "Создать архив с ограниченным pishrink"
echo "─────────────────────────────────────────"

set -e

SRC="$HOME/rpi_seal/pishrink_limited.sh"
DST="$HOME/rpi_seal/pishrink_limited.tar.gz"

if [[ ! -f "$SRC" ]]; then
  echo "❌ Файл не найден: $SRC"
  exit 1
fi

echo "[*] Архивирую $SRC → $DST..."
tar -czf "$DST" -C "$(dirname "$SRC")" "$(basename "$SRC")"

# Проверка целостности
if ! tar -tzf "$DST" &>/dev/null; then
  echo "❌ Ошибка: архив повреждён."
  rm -f "$DST"
  exit 1
fi

echo "✅ Архив создан: $DST"
#echo "[*] SHA256: $(sha256sum "$DST" | awk '{print $1}')"
