# 🛠️ RPi Seal — Модульная система создания и подготовки образов Raspberry Pi

## 📦 Назначение
Этот набор скриптов позволяет:
- Создавать образы текущей системы Raspberry Pi
- Отключать авторасширение rootfs
- Добавлять контролируемое авторасширение до заданного размера
- Применять shrink (одинарный или двойной)
- Архивировать `.img` в `.gz` или `.zst`
- Проверять размер диска

Все скрипты полностью автономны и запускаются отдельно или через главный лаунчер `qq.sh`.

---

## 📜 Список скриптов и режимов запуска

### `01_mount_device.sh`
Выбор и монтирование устройства с образами или для сохранения:
```
bash 01_mount_device.sh
```
_Автоматически выбирает `/mnt/rpi_targetX` для монтирования._

---

### `02_create_image.sh`
Создаёт образ текущей системы:
```
bash 02_create_image.sh
```
🔧 Останавливает службы и снимает компактный `.img` из `/dev/mmcblk0`

---

### `03_prepare_image.sh`
Отключает авторасширение, добавляет `stretch15.sh`, настраивает `systemd`:
```
bash 03_prepare_image.sh
```
_Спрашивает образ из списка .img/.gz, монтирует, модифицирует, отмонтирует._

---

### `04_shrink_image.sh`
Применяет `pishrink.sh` к образу:
```
bash 04_shrink_image.sh
```
🔹 Одинарный или двойной режим по выбору.

---

### `05_compress_image.sh`
Сжимает `.img` в `.gz` или `.zst`:
```
bash 05_compress_image.sh
```
_Показывает прогресс через `pv`. Спрашивает формат и подтверждение при перезаписи._

---

### `qq.sh`
Главный лаунчер. Отображает меню и запускает нужный модуль:
```
bash qq.sh
```

---

## 🧩 Дополнительно
- Скрипты используют `sudo`, `lsblk`, `fdisk`, `pv`, `gzip`, `zstd`, `losetup`, `mount` — убедитесь, что все зависимости установлены.
- `pishrink.sh` скачивается автоматически при первом запуске `04_shrink_image.sh`.

---

## 🛡️ Советы
- Рекомендуется запускать на той же системе, с которой создаётся образ.
- Для массового клонирования: создайте один раз, подготовьте и применяйте shrink.
- Все пути и переменные внутри скриптов можно менять вручную.

---

**Проект RPi Seal от takraztak — лёгкий способ делать надёжные, компактные и самодостаточные образы Raspberry Pi.**
