#!/bin/bash
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
# ==AUTOEXEC==
# === 🛡️rPi Seal ===
# qq.sh главное меню для запуска модулей rpi_seal
#

clear

DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

run_script() {
  local script="$1"
  if [[ -x "$script" ]]; then
    bash "$script"
    echo "🔙 Возврат в главное меню..."
  else
    echo "❗ Скрипт не найден или не исполняемый: $(basename "$script")"
  fi
  read -rp "⏎ Нажмите Enter для продолжения..." _
  clear
}

while true; do
  echo ""
  echo "📦 Меню rpi_seal — модульная структура"
  echo "  01 - 💽 Выбрать целевой диск/каталог (и монтировать, если нужно)"
  echo "  02 - 💽 Примонтировать сетевой диск"
  echo "...................................................................................."
  echo "================ 🧹 Работа с образом системы ======================================="
  echo "  03 - 🧹 Очистка диска и обнуление свободного пространства"
  echo "  04 - 🛡️ Создание ограниченного образа текущей системы"
  echo "  05 - 🛡️ Создание ограниченного образа usb/sd носителей"
  echo "  06 - ✂️ Применить pishrink (одинарно или дважды)"
  echo "  07 - ✂️ Ограниченный shrink с минимальным размером"
  echo "  08 - 🗜️ Сжать образ в .gz или .zst"
  echo "...................................................................................."
  echo "================ 📊 Контроль и диагностика ========================================="
  echo "  09 - 🔍 Проверка системы после восстановления"
  echo "  10 - 📊 Утилиты анализа свободного/занятого места"
  echo "  11 - 📊 Проверка совместимости с Raspberry Pi 3/4/5"
  echo "  12 - 📊 Режимы энергопотребления"
  echo "...................................................................................."
  echo "================ 📦 Создание установщика и упаковка ================================"
  echo "  33 - 🔗 Сборка установочного архива rpi_seal"
  echo "  34 - 🗜️ Упаковка установщика в .gz (служебно)"
  echo "  35 - 🗜️ Упаковка pishrink-модуля в .gz (служебно)"
  echo "  55 - 🗜️ Внедрение новой версии rpi_seal в img файл"
  echo "...................................................................................."
  echo "====================================================================================="
  echo "....................................................................................."
  echo "  00 - ❌ Выход"
  read -rp "👉 Ваш выбор: " choice
  clear
  case "$choice" in
    1|01)  run_script "$DIR/01.1_select_target.sh" ;;
    2|02)  run_script "$DIR/01.2_mount_nas.sh" ;;
    3|03)  run_script "$DIR/02.1_clean_and_zero.sh" ;;
    4|04)  run_script "$DIR/03.1_create_image_live.sh" ;;
    5|05)  run_script "$DIR/03.2_create_image_sd-usb.sh" ;;
    6|06)  run_script "$DIR/04.1_shrink_image.sh" ;;
    7|07)  run_script "$DIR/04.2_limited_shrink.sh" ;;
    8|08)  run_script "$DIR/05.1_compress_image.sh" ;;
    9|09)  run_script "$DIR/06.1_oss_check.sh" ;;
    10)    run_script "$DIR/06.2_diskspace_image.sh" ;;
    11)    run_script "$DIR/07.1_pi_compatibility.sh" ;;
    12)    run_script "$DIR/07.2_power_mode.sh" ;;
    33)    run_script "$DIR/13.1_build_installer.sh" ;;
    34)    run_script "$DIR/13.2_repack_rpi.sh" ;;
    35)    run_script "$DIR/13.3_repack_pishrink_limited.sh" ;;
    55)    run_script "$DIR/13.4_rpi_seal_prepare_img.sh" ;;
    0|00)  echo "👋 Выход."; exit 0 ;;
    *)     echo "❓ Неверный ввод." ;;
   esac
done