#!/bin/bash
export LANG=en_US.UTF-8
export LC_ALL=en_US.UTF-8
# ==DIS/AUTOEXEC==
# === rpi_seal.sh ===
# Однострочная обёртка для запуска меню rpi_seal и отображения версии/справки
#

VERSION="4.0.0"
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

show_help() {
  echo "🛠️ rpi_seal — модульная система для создания и подготовки образов Raspberry Pi"
  echo ""
  echo "📜 Доступные команды:"
  echo "  --menu        Запустить главное меню (qq.sh)"
  echo "  --version     Показать версию"
  echo "  --help        Показать эту справку"
  echo ""
  echo "📂 Скрипты должны находиться в том же каталоге, что и этот файл."
}

case "${1:-}" in
  --menu)
    bash "$SCRIPT_DIR/qq.sh"
    ;;
  --version)
    echo "rpi_seal v$VERSION"
    ;;
  --help|*)
    show_help
    ;;
esac
